const os = require('os')

const OperatingSystem = Object.freeze({
    AIX: 'AIX',
    ANDROID: 'ANDROID',
    FREEBSD: 'FREEBSD',
    LINUX: 'LINUX',
    MAC_OS: 'MAC_OS',
    OPENBSD: 'OPENBSD',
    SUNOS: 'SUNOS',
    WINDOW: 'WINDOWS',

    UNKNOWN: 'UNKNOWN',
})

module.exports = { OperatingSystem, getOS }

function getOS () {
    const platform = os.platform()
    switch (platform) {
        default:
            return OperatingSystem.UNKNOWN

        case 'aix':
            return OperatingSystem.AIX

        case 'android':
            return OperatingSystem.ANDROID

        case 'darwin':
            return OperatingSystem.MAC_OS

        case 'freebsd':
            return OperatingSystem.FREEBSD

        case 'linux':
            return OperatingSystem.LINUX

        case 'openbsd':
            return OperatingSystem.OPENBSD

        case 'sunos':
            return OperatingSystem.SUNOS

        case 'win32':
            return OperatingSystem.WINDOW
    }
}
